Subject: Re: [X2Go-Dev] Bug#861: No Sound in TCE-RDP-directConnect

From: Mihai Moldovan <[email-masked]>
Date: Wed, 29 Apr 2015 15:00:18 +0200

On 29.04.2015 02:03 PM, Stefan Baur wrote:
> Am 29.04.2015 um 12:37 schrieb Florian Wicke - Hetzner Online AG:
> 
>> yes pulseaudio is started from x2gothinclientd - rdesktop does not 
>> support pulseaudio as audio backend - but you can workaround that
>> with 'padsp' from the pulseaudio-utils package. - you just have to
>> prefix the rdesktop command with padsp like:
> 
>> padsp rdesktop -u <username> -f -r sound:local <address>
> 
>> then pulseaudio redirects the access to /dev/dsp of rdesktop to
>> itself.
> 
> I know of padsp, but it seems there is no way I can just add this call
> somewhere in the config.  This looks like it has to be added to
> x2goclient's source.
> 
> (I can only add additional parameters after the rdesktop/xfreerdp
> call, but nothing in front of it.)
> 
>> xfreerdp should have native pulseaudio-support so it depends on
>> your choice of software. To force xfreerdp to use pulseaudio you
>> could add the parameter '--data tsmf:audio:pulse' to the
>> xfreerdp-command
> 
> So,
> --ignore-certificate --plugin rdpsnd --data tsmf:audio:pulse -d DOMAIN
> -f -u User -p Password Server:3389
> doesn't work, it throws me right back at the login prompt.
> 
> Running it on the command line
> 
> xfreerdp --ignore-certificate --plugin rdpsnd -d DOMAIN -f -u User -p
> Password Server:3389
> 
> (i.e. *without* the parameter you suggested) returns, when pulseaudio
> is loaded:
> 
> loading plugin rdpsnd
> Warning xf_GetWindowProperty (140): Property 484 does not exist
> connected to Server:3389
> freerdp_load_library_symbol: failed to open
> /usr/lib/i386-linux-gnu/freerdp/rdpsnd_pulse.so:
> /usr/lib/i386-linux-gnu/freerdp/rdpsnd_pulse.so: cannot open shared
> object file: No such file or directory
> freerdp_load_plugin: failed to load rdpsnd_pulse/FreeRDPRdpsndDeviceEntry

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=672604

Never made it back to wheezy, though.

Jessie has it:
https://packages.debian.org/jessie/amd64/libfreerdp-plugins-standard/filelist

And should also support the --data tsmf:audio:pulse parameter.

Mihai